Swagger2-Markdown v9.99 Perl 5 v5.8.1 x86_64-linux-thread-multi

Status
Na
From
Nigel Horne
Dist
Swagger2-Markdown v9.99
Platform
Perl 5 v5.8.1 x86_64-linux-thread-multi
Date
2017-10-05T15:29:15
ID
f2647e06-a9e1-11e7-baf9-d1257f577308
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Lee Johnson,

This is a computer-generated report for Swagger2-Markdown-9.99
on perl 5.8.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin/perl Makefile.PL':

Checking if your kit is complete...
Looks good
Warning: Perl version 5.010001 or higher required. We run 5.008001.
Warning: prerequisite File::Slurper 0.006 not found.
Warning: prerequisite Moo 2.001001 not found. We have 2.000002.
Warning: prerequisite Pod::Markdown 3.005 not found.
Warning: prerequisite Swagger2 0.77 not found.
Warning: prerequisite Template 2.26 not found.
Warning: prerequisite YAML::XS 0.59 not found.
Generating a Unix-style Makefile
Writing Makefile for Swagger2::Markdown
Writing MYMETA.yml and MYMETA.json

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.22


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    HARNESS_OPTIONS = j10:c
    LANG = en_GB.UTF-8
    LD_LIBRARY_PATH = /usr/local/lib::
    PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/home/njh/bin:/sbin
    PERL = /home/njh/perl5/perlbrew/perls/perl-5.8.1/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-j14o -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 8679
    PERL5_CPAN_IS_EXECUTING = /tmp/build/Swagger2-Markdown-9.99-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 8679
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 1845,8679
    PERLBREW_BASHRC_VERSION = 0.80
    PERLBREW_HOME = /home/njh/.perlbrew
    PERLBREW_MANPATH = /home/njh/perl5/perlbrew/perls/perl-5.8.1/man
    PERLBREW_PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin
    PERLBREW_PERL = perl-5.8.1
    PERLBREW_ROOT = /home/njh/perl5/perlbrew
    PERLBREW_VERSION = 0.80
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CR_SMOKER_CURRENT = Swagger2-Markdown-9.99
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = xterm-256color
    TMPDIR = /tmp

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/njh/perl5/perlbrew/perls/perl-5.8.1/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 1000 118 112 107 46 44 30 29 25 24 4
    $EGID = 1000 1000 118 112 107 46 44 30 29 25 24 4

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.16    
    CPAN::Meta          2.150005
    Cwd                 3.62    
    ExtUtils::CBuilder  0.280224
    ExtUtils::Command   7.22    
    ExtUtils::Install   2.04    
    ExtUtils::MakeMaker 7.22    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.30    
    File::Spec          3.62    
    JSON                2.61    
    JSON::PP            2.27400 
    Module::Build       0.32    
    Module::Signature   n/a     
    Parse::CPAN::Meta   1.4417  
    Test::Harness       3.36    
    Test::More          1.302096
    YAML                1.23    
    YAML::Syck          1.30    
    version             0.9912  


--

Summary of my perl5 (revision 5.0 version 8 subversion 1) configuration:
  Platform:
    osname=linux, osvers=3.16-2-amd64, archname=x86_64-linux-thread-multi
    uname='linux cyberpower2 3.16-2-amd64 #1 smp debian 3.16.3-2 (2014-09-20) x86_64 gnulinux '
    config_args='-de -Dprefix=/home/njh/perl5/perlbrew/perls/perl-5.8.1 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags=-O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -mfpmath=sse -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -fdiagnostics-color=auto -Aeval:scriptdir=/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=define use5005threads=undef useithreads=define usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=define use64bitall=define uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -mfpmath=sse -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -fdiagnostics-color=auto -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-D_REENTRANT -D_GNU_SOURCE -O2 -W -Wformat=2 -Wswitch -Wshadow -Wwrite-strings -Wuninitialized -Wall -pipe -mtune=native -march=native -fomit-frame-pointer -msse2 -msse -mmmx -mfpmath=sse -pedantic -D_FORTIFY_SOURCE=2 -Wpointer-arith -Wstrict-prototypes -fstack-protector -Wstack-protector -Wextra -Wbad-function-cast -Wcast-align -Wcast-qual -Wdisabled-optimization -Wendif-labels -Wfloat-equal -Wformat-nonliteral -Winline -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wundef -Wformat-security -ftree-vectorize -fdiagnostics-color=auto -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='4.9.1', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -lgdbm -ldb -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat
    perllibs=-lnsl -ldl -lm -lcrypt -lutil -lpthread -lc -lgdbm_compat
    libc=libc-2.19.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.19'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-rdynamic'
    cccdlflags='-fpic', lddlflags='-shared -L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY USE_ITHREADS USE_64_BIT_INT USE_64_BIT_ALL USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Built under linux
  Compiled at Oct 15 2014 09:18:22
  %ENV:
    PERL="/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="8679"
    PERL5_CPAN_IS_EXECUTING="/tmp/build/Swagger2-Markdown-9.99-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="8679"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="1845,8679"
    PERLBREW_BASHRC_VERSION="0.80"
    PERLBREW_HOME="/home/njh/.perlbrew"
    PERLBREW_MANPATH="/home/njh/perl5/perlbrew/perls/perl-5.8.1/man"
    PERLBREW_PATH="/home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.8.1/bin"
    PERLBREW_PERL="perl-5.8.1"
    PERLBREW_ROOT="/home/njh/perl5/perlbrew"
    PERLBREW_VERSION="0.80"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CR_SMOKER_CURRENT="Swagger2-Markdown-9.99"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /home/njh/perl5/perlbrew/perls/perl-5.8.1/lib/5.8.1/x86_64-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.8.1/lib/5.8.1
    /home/njh/perl5/perlbrew/perls/perl-5.8.1/lib/site_perl/5.8.1/x86_64-linux-thread-multi
    /home/njh/perl5/perlbrew/perls/perl-5.8.1/lib/site_perl/5.8.1
    /home/njh/perl5/perlbrew/perls/perl-5.8.1/lib/site_perl
    .